Summary: A graphical interface for configuring mice
Name: system-config-mouse
Version: 1.2.9
Release: 1
URL: http://fedora.redhat.com/projects/config-tools/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Obsoletes: mouseconfig
Obsoletes: redhat-config-mouse
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
ExcludeArch: s390 s390x
Requires: python2
Requires: usermode >= 1.36
Requires: rhpl >= 0.136
Requires: pyxf86config
Requires: newt
Requires: kudzu 

%description
system-config-mouse is a graphical user interface that allows 
the user to change the default mouse of the system.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
#desktop-file-install --vendor system --delete-original       \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
#  --add-category X-Red-Hat-Base                             \
#  $RPM_BUILD_ROOT%{_datadir}/applications/system-config-mouse.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/system-config-mouse ] ; then
  rm -rf /usr/share/system-config-mouse/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/system-config-mouse
/usr/sbin/mouseconfig
%dir /usr/share/system-config-mouse
/usr/share/system-config-mouse/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/mouse_gui.py
#%attr(0644,root,root) %{_datadir}/applications/system-config-mouse.desktop
%attr(0644,root,root) %config /etc/security/console.apps/system-config-mouse
%attr(0644,root,root) %config /etc/pam.d/system-config-mouse

%changelog
* Fri Oct 01 2004 Paul Nasrat <pnasrat@redhat.com> - 1.2.9-1
- Translations

* Mon Sep 06 2004 Paul Nasrat <pnasrat@redhat.com> - 1.2.8-1
- PyGTK API fixups

* Thu Jun 24 2004 Brent Fox <bfox@redhat.com> - 1.2.7-1
- remove modifyXconfig function since it isn't needed any more (bug #123565)

* Wed Apr 21 2004 Brent Fox <bfox@redhat.com> 1.2.6-2
- remove duplicate entries from sv.po (bug #121435)

* Wed Mar 17 2004 Bill Nottingham <notting@redhat.com> 1.2.6-1
- update for new rhpl, don't modify X configs

* Fri Feb 20 2004 Brent Fox <bfox@redhat.com> 1.2.4-1
- don't install desktop file anymore

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.2.3-1
- fix mouseconfig wrapper script for redhat-config -> system-config

* Wed Nov 19 2003 Brent Fox <bfox@redhat.com> 1.2.2-2
- rebuild

* Wed Nov 12 2003 Brent Fox <bfox@redhat.com> 1.2.1-1
- rename from redhat-config-mouse to system-config-mouse
- add Obsoletes for redhat-config-mouse
- update for Python2.3

* Tue Oct 14 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- rebuild with latest translations

* Mon Sep 22 2003 Brent Fox <bfox@redhat.com> 1.1.1-1
- make sure "DEVICE" key exists before modifying it (bug #98964)

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.12-2
- bump release num

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.12-1
- add Requires for newt and kudzu (bug #104212)

* Wed Sep 10 2003 Brent Fox <bfox@redhat.com> 1.0.11-2
- bump relnum and rebuild

* Wed Sep 10 2003 Brent Fox <bfox@redhat.com> 1.0.11-1
- make sure the correct serial device is selected in mouse_gui.py (bug #80600)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.10-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.9-1
- add BuildRequires on gettext

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.8-1
- remove BuildRequires on python-tools

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.7-2
- bump relnum and rebuild

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.7-1
- mark string for translation

* Tue May 20 2003 Brent Fox <bfox@redhat.com> 1.0.6-2
- mark string for translation in redhat-config-mouse.py

* Wed Apr  2 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- pass window size into rhpl
- handle XEMU3 better

* Tue Feb 18 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- don't write OPTIONS line to /etc/sysconfig/mouse (bug #76713)

* Thu Feb 13 2003 Brent Fox <bfox@redhat.com> 1.0.4-5
- fix bug with Sun mouse (bug #84244)

* Wed Feb 12 2003 Jeremy Katz <katzj@redhat.com> 1.0.4-4
- fixes for cjk tui (#83518)

* Tue Feb  4 2003 Brent Fox <bfox@redhat.com> 1.0.4-3
- redo packaging order a bit for firstboot reconfig mode

* Mon Feb  3 2003 Brent Fox <bfox@redhat.com> 1.0.4-2
- fix bug #80600 for good this time

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- bump and build

* Mon Jan 20 2003 Brent Fox <bfox@redhat.com> 1.0.3-4
- write xprotocol to XMOUSETYPE instead of shortname

* Sun Jan 19 2003 Brent Fox <bfox@redhat.com> 1.0.3-3
- only set the serial device if the DEVICE key exists

* Wed Jan 15 2003 Brent Fox <bfox@redhat.com> 1.0.3-2
- fix traceback with serial mice (bug #80600, again)

* Tue Jan 14 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- select the current serial mouse device in gui and tui(bug #80600) 

* Tue Jan  7 2003 Brent Fox <bfox@redhat.com> 1.0.2-13
- make the restart of gpm conditional

* Fri Dec 20 2002 Brent Fox <bfox@redhat.com> 1.0.2-12
- don't skip the first leaf on each branch in setCurrent()
- check to see if XEMU3 is defined before slicing the list for it

* Wed Dec 18 2002 Brent Fox <bfox@redhat.com> 1.0.2-10
- only modify the XF86Config file if it exists (bug #79754)
- same for /etc/sysconfig/mouse

* Fri Dec 13 2002 Bill Nottingham <notting@redhat.com> 1.0.2-9
- add a couple of command-line options for kudzu use

* Thu Dec 12 2002 Brent Fox <bfox@redhat.com> 1.0.2-8
- remove requires on pygtk2 since we have a text mode now

* Thu Dec 12 2002 Brent Fox <bfox@redhat.com> 1.0.2-7
- always write out ZAxisMapping (bug #77389)

* Mon Nov 18 2002 Brent Fox <bfox@redhat.com> 1.0.2-6
- make desktop file UTF-8 encoded

* Fri Nov 15 2002 Brent Fox <bfox@redhat.com> 1.0.2-5
- replace obsoletes for mouseconfig
- make a symlink from /usr/sbin/mouseconfig to start r-c-mouse

* Wed Nov 13 2002 Brent Fox <bfox@redhat.com> 1.0.2-4
- fix path problem

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.2-3
- remove obsoletes for mouseconfig for now

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.2-2
- Latest translations

* Wed Oct 30 2002 Brent Fox <bfox@redhat.com>
- Add a BuildRequires for python-tools
- Configure /etc/sysconfig/mouse so that gpm can support more than one mouse
- Specify device correctly in /etc/sysconfig/mouse
- Pass device into mouse_backend

* Thu Oct 24 2002 Brent Fox <bfox@redhat.com> 1.0.2-1
- More work on a command line interface

* Wed Oct 23 2002 Brent Fox <bfox@redhat.com>
- Start work on a command line interface

* Wed Oct 09 2002 Brent Fox <bfox@redhat.com> 
- Fixed bug 75563 so that emulate3 choices are remembered

* Tue Oct 08 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- Created mouse_tui.py for a text interface
- Created mouse_backend.py to handle non-UI specific calls
- Moved non_UI specific calls from mouse_gui.py to mouse_backend.py

* Fri Oct 03 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- make window icon appear
- disallow selecting tree roots
- check for no mouse selection on apply

* Fri Aug 30 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- pull in latest translations

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Convert to noarch

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- restart gpm when changing mouse

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 1.0.0-1
- fix textdomain tag

* Thu Aug 22 2002 Jeremy Katz <katzj@redhat.com> 0.9.10-1
- try to probe the mouse by reading the config file instead of doing a 
  probe with kudzu.  ps/2 probes while in X are unreliable

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-3
- Replace System with SystemSetup in desktop file categories

* Thu Aug 08 2002 Brent Fox <bfox@redhat.com> 0.9.9-2
- Add dialog for serial mice
- Make changes to XF86Config file
- Added Requires for pyxf86config

* Mon Aug 05 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Pull in translations into desktop files

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- fix spec file line omission

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-1
- Pull mouse info from rhpl

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fixed desktop file (bug #69476)

* Thu Jul 18 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- Change get_iter_root to get_iter_first

* Thu Jul 18 2002 Karsten Hopp <karsten@redhat.de>
- prepare for new pygtk2

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Mon Jul 1 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Wrap the destroy call in a try/except because there is no self.mainWindow in firstboot reconfig mode

* Thu Jun 27 2002 Brent Fox <bfox@redhat.com> 
- Fix typo in specfile

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description
- Fixed broken symlink in Makefile from mouse.py to mouse_gui.py

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Sat Jun 22 2002 Brent Fox <bfox@redhat.com> 
- Pass title back to parent
- Pass doDebug into standalone

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- init doDebug in stand_alone

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Initial coding and packaging
- Add snapsrc to Makefile

